<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'cms',

    /*
     * Package.
     */
    'package'   => 'article',

    /*
     * Modules.
     */
    'modules'   => ['article', 'category'],

    'article'       => [
        'model' => [
            'model'                 => \Cms\Article\Models\Article::class,
            'table'                 => 'articles',
            'presenter'             => \Cms\Article\Repositories\Presenter\ArticlePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['title',  'alias',  'category_id'],
            'translatables'         => [],
            'upload_folder'         => 'article/article',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Cms',
            'package'   => 'Article',
            'module'    => 'Article',
        ],

    ],
    'category'       => [
        'model' => [
            'model'                 => \Cms\Article\Models\Category::class,
            'table'                 => 'categories',
            'presenter'             => \Cms\Article\Repositories\Presenter\CategoryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['title',  'alias'],
            'translatables'         => [],
            'upload_folder'         => 'article/category',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Cms',
            'package'   => 'Article',
            'module'    => 'Category',
        ],

    ],
];
