<?php

namespace Cms\Article;

use DB;
use Illuminate\Database\Seeder;

class CategoryTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('categories')->insert([
            [
                "title"               => 'Category 1',
                "alias"               => 'category-1',
            ],
            [
                "title"               => 'Category 2',
                "alias"               => 'category-2',
            ],
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'article.category.view',
                'name'      => 'View Category',
            ],
            [
                'slug'      => 'article.category.create',
                'name'      => 'Create Category',
            ],
            [
                'slug'      => 'article.category.edit',
                'name'      => 'Update Category',
            ],
            [
                'slug'      => 'article.category.delete',
                'name'      => 'Delete Category',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/article/category',
                'name'        => 'Category',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/article/category',
                'name'        => 'Category',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'category',
                'name'        => 'Category',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Article',
                'module'    => 'Category',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'article.category.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
