<?php

namespace Cms\Article\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ArticleTransformer extends TransformerAbstract
{
    public function transform(\Cms\Article\Models\Article $article)
    {
        return [
            'id'                => $article->getRouteKey(),
            'key'               => [
                'public'    => $article->getPublicKey(),
                'route'     => $article->getRouteKey(),
            ], 
            'title'             => $article->title,
            'alias'             => $article->alias,
            'category_id'       => $article->category_id,
            'url'               => [
                'public'    => trans_url('article/'.$article->getPublicKey()),
                'user'      => guard_url('article/article/'.$article->getRouteKey()),
            ], 
            'status'            => trans('app.'.$article->status),
            'created_at'        => format_date($article->created_at),
            'updated_at'        => format_date($article->updated_at),
        ];
    }
}